#!/usr/bin/env python3
##
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import sys
from string import Template

if len(sys.argv) != 2 :
  print("usage: %s <redirect url>" % sys.argv[0])
  sys.exit(1)

url = sys.argv[1].replace(" ", "%20")
template = Template("""<html>
  <head>
    <meta http-equiv="refresh" content="3; url='$url'" />
  </head>
  <body>
    <p>Redirecting. If not work, please click <a href="$url">this link</a>.</p>
  </body>
</html>""")

output = template.substitute(url = url)
print(output)
